/*
Front gateway

Front gateway

API version: 0.0.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package openapi

import (
	"encoding/json"
)

// ConfirmResult struct for ConfirmResult
type ConfirmResult struct {
	Session *string `json:"session,omitempty"`
}

// NewConfirmResult instantiates a new ConfirmResult object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewConfirmResult() *ConfirmResult {
	this := ConfirmResult{}
	return &this
}

// NewConfirmResultWithDefaults instantiates a new ConfirmResult object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewConfirmResultWithDefaults() *ConfirmResult {
	this := ConfirmResult{}
	return &this
}

// GetSession returns the Session field value if set, zero value otherwise.
func (o *ConfirmResult) GetSession() string {
	if o == nil || o.Session == nil {
		var ret string
		return ret
	}
	return *o.Session
}

// GetSessionOk returns a tuple with the Session field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *ConfirmResult) GetSessionOk() (*string, bool) {
	if o == nil || o.Session == nil {
		return nil, false
	}
	return o.Session, true
}

// HasSession returns a boolean if a field has been set.
func (o *ConfirmResult) HasSession() bool {
	if o != nil && o.Session != nil {
		return true
	}

	return false
}

// SetSession gets a reference to the given string and assigns it to the Session field.
func (o *ConfirmResult) SetSession(v string) {
	o.Session = &v
}

func (o ConfirmResult) MarshalJSON() ([]byte, error) {
	toSerialize := map[string]interface{}{}
	if o.Session != nil {
		toSerialize["session"] = o.Session
	}
	return json.Marshal(toSerialize)
}

type NullableConfirmResult struct {
	value *ConfirmResult
	isSet bool
}

func (v NullableConfirmResult) Get() *ConfirmResult {
	return v.value
}

func (v *NullableConfirmResult) Set(val *ConfirmResult) {
	v.value = val
	v.isSet = true
}

func (v NullableConfirmResult) IsSet() bool {
	return v.isSet
}

func (v *NullableConfirmResult) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableConfirmResult(val *ConfirmResult) *NullableConfirmResult {
	return &NullableConfirmResult{value: val, isSet: true}
}

func (v NullableConfirmResult) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableConfirmResult) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


